Bug 251435 - games/dMagnetic: Update to 0.28
Summary: games/dMagnetic: Update to 0.28
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Rainer Hurling
URL: http://www.dettus.net/dMagnetic
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-11-28 11:17 UTC by Thomas Dettbarn
Modified: 2020-11-28 20:16 UTC (History)
2 users (show)

See Also:


Attachments
the patch to 0.28 (824 bytes, text/plain)
2020-11-28 11:17 UTC, Thomas Dettbarn
dettus: maintainer-approval+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Dettbarn 2020-11-28 11:17:47 UTC
Created attachment 220041 [details]
the patch to 0.28

Hello!

My wonderful project dMagnetic has seen release 0.28.
I took the liberty of creating a patch for your ports tree. Hopefully, it will meet your standards.


In case you are looking for a changelog, please use the one below. I copied it over from the Debian package.
As you can see, this release added the support for Spectrum128, Spectrum+3 and Acorn Archimedes releases of the orignial games.


Thomas



dmagnetic (0.28-1) unstable; urgency=medium

  * Spectrum128 and Spectrum+3 binaries can be used
  * Acorn Archimedes binaries can be used for playing
  * Some internal bugfixes

 -- Thomas Dettbarn <dettus@dettus.net> Sat, 28 Nov 2020 12:56:54 +0100

dmagnetic (0.27-1) unstable; urgency=medium

  * Update to release 0.27.
  * Removed a bug that prevented loading game binaries

  * Loads binaries from Amstrad CPC, Commodore64 and MS DOS

 -- Thomas Dettbarn <dettus@dettus.net>  Sun, 01 Nov 2020 19:09:37 +0100

dmagnetic (0.26-1) unstable; urgency=medium

  * Update to release 0.26.
  * Amstrad CPC images in the DSK format can be used

 -- Thomas Dettbarn <dettus@dettus.net>  Sat, 31 Oct 2020 19:51:49 +0100

dmagnetic (0.25-2) unstable; urgency=medium

  * Build with -ffloat-store on i386 to fix FTBFS. (Closes: #966525)

 -- Thomas Dettbarn <dettus@dettus.net>  Mon, 03 Aug 2020 00:59:17 +0100

dmagnetic (0.25-1) unstable; urgency=medium

  * Update to release 0.25.
  * Post compilation check improved

  * Internal RGB channels upgraded from 3 to 10 bit.

 -- Thomas Dettbarn <dettus@dettus.net>  Sun, 26 Jul 2020 14:26:01 +0100

dmagnetic (0.24-1) unstable; urgency=medium

  * Update to release 0.24.
  * Commodore 64 binaries can be used for playing.

 -- Thomas Dettbarn <dettus@dettus.net>  Sat, 11 Jul 2020 19:56:07 +0100

dmagnetic (0.23-1) unstable; urgency=medium

  * Update to release 0.23.
  * Introduced new graphic render modes for MS-DOS binaries

 -- Thomas Dettbarn <dettus@dettus.net>  Sun, 07 Jun 2020 23:03:53 +0100

dmagnetic (0.22-1) unstable; urgency=medium

  * Update to release 0.22.
  * Binaries from the Magnetic Windows system can be used for playing.
  * Sixel mode allows for high resolution images in certain xterms.

 -- Thomas Dettbarn <dettus@dettus.net>  Thu, 13 Feb 2020 18:56:15 +0100


dmagnetic (0.21-1) unstable; urgency=medium

  * Update to release 0.21.
  * Some lintian warnings have been removed.
  * Leftover debugging code was creating files
  * dMagnetic is capable of reading MS DOS binaries from more games.

 -- Thomas Dettbarn <dettus@dettus.net>  Sat, 18 Jan 2020 22:43:52 +0100

dmagnetic (0.20-1) unstable; urgency=medium

  * Update to release 0.20.
  * It is possible to play with the original MS DOS binaries
  * A glitch in the text output has been removed.
  * The glitch prevented solving jinxter's sliding puzzle.
  * Changed the standards version to 4.4.1

 -- Thomas Dettbarn <dettus@dettus.net>  Wed, 15 Jan 2020 22:14:42 +0100

dmagnetic (0.19-1) unstable; urgency=medium

  * Update to release 0.19.
  * It is possible to play with the original MS DOS binaries
  * New graphic mode (high_ansi2) for the better looking graphics
  * New random number generator for a different playing experience
  * Changed the standards version to 4.4.1

 -- Thomas Dettbarn <dettus@dettus.net>  Fri, 27 Dec 2019 21:23:45 +0100

dmagnetic (0.18-1) unstable; urgency=medium

  * Update to release 0.18.
  * Removed an issue, where sometimes graphics were not shown.

 -- Thomas Dettbarn <dettus@dettus.net>  Mon, 11 Nov 2019 20:11:47 +0100

dmagnetic (0.17-1) unstable; urgency=medium

  * Update to release 0.17.
  * Removed some warnings from the mentors.debian.net site.
  * Changed the compat level to 12.
  * Changed the standards version to 4.4.0

 -- Thomas Dettbarn <dettus@dettus.net>  Mon, 07 Oct 2019 07:37:59 +0200

dmagnetic (0.16-1) UNRELEASED; urgency=low

  * Initial release. Closes: #929619

 -- Thomas Dettbarn <dettus@dettus.net>  Tue, 23 Jul 2019 12:13:30 +0200
Comment 1 Automation User 2020-11-28 11:41:13 UTC
Build and package info is available at https://gitlab.com/swills/freebsd-ports/pipelines/222539894
Comment 2 Fernando Apesteguía freebsd_committer 2020-11-28 18:25:38 UTC
^Triage: Maintainer-feedback flag (+) not required unless requested (?) first.

Thanks!
Comment 3 commit-hook freebsd_committer 2020-11-28 20:06:24 UTC
A commit references this bug:

Author: rhurlin
Date: Sat Nov 28 20:05:52 UTC 2020
New revision: 556520
URL: https://svnweb.freebsd.org/changeset/ports/556520

Log:
  games/dMagnetic: Update to 0.28

  - Spectrum128 and Spectrum+3 binaries can be used
  - Acorn Archimedes binaries can be used for playing
  - Some internal bugfixes

  https://www.dettus.net/dMagnetic/

  PR:		251435
  Submitted by:	Thomas Dettbarn <dettus@dettus.net> (maintainer)
  Approved by:	arrowd, tcberner (mentors, implicit)

Changes:
  head/games/dMagnetic/Makefile
  head/games/dMagnetic/distinfo
Comment 4 Rainer Hurling freebsd_committer 2020-11-28 20:16:33 UTC
Committed, thanks :)